package com.fjhx.service.product;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.Condition;
import com.fjhx.entity.product.ProductSpu;
import com.fjhx.params.product.ProductSpuVo;
import com.fjhx.base.BaseService;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-11-25
 */
public interface ProductSpuService extends BaseService<ProductSpu> {

    Page<ProductSpu> getPage(Map<String, Object> condition);

    void add(ProductSpuVo productSpuVo);

    void edit(ProductSpuVo productSpuVo);

    void delete(ProductSpuVo productSpuVo);


}
